> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Entity Balances

> List all balances for a specific entity.



## OpenAPI

````yaml GET  /v1/entities/{entity_id}/balances
openapi: 3.0.1
info:
  title: REST API
  description: >-
    The Coinbase Prime REST API provides programmatic access to trading,
    custody, staking, market data, and account management functionality.
  version: '0.1'
servers:
  - url: https://api.prime.coinbase.com/
security: []
tags:
  - name: PrimeRESTAPI
paths:
  /v1/entities/{entity_id}/balances:
    get:
      tags:
        - Balances
      summary: List Entity Balances
      description: List all balances for a specific entity.
      operationId: PrimeRESTAPI_ListEntityBalances
      parameters:
        - name: entity_id
          in: path
          description: The entity ID
          required: true
          schema:
            type: string
        - name: symbols
          in: query
          description: A list of symbols by which to filter the response
          schema:
            type: string
        - name: cursor
          in: query
          description: Id to retrieve additional results strictly after
          schema:
            type: string
        - name: limit
          in: query
          description: Number of items to retrieve
          schema:
            type: integer
            format: int32
        - name: aggregation_type
          in: query
          description: |-
            A type by which to filter aggregated balances, defaults to "TOTAL"

             - UNKNOWN_BALANCE_TYPE: nil
             - TRADING_BALANCES: Trading balances
             - VAULT_BALANCES: Vault balances
             - TOTAL_BALANCES: Total balances (The sum of vault and trading + prime custody)
             - PRIME_CUSTODY_BALANCES: Prime custody balances
             - UNIFIED_TOTAL_BALANCES: Unified total balance across networks and wallet types (vault + trading + prime custody)
          schema:
            type: string
            enum:
              - TRADING_BALANCES
              - VAULT_BALANCES
              - TOTAL_BALANCES
              - PRIME_CUSTODY_BALANCES
              - UNIFIED_TOTAL_BALANCES
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/coinbase.public_rest_api.ListEntityBalancesResponse
components:
  schemas:
    coinbase.public_rest_api.ListEntityBalancesResponse:
      required:
        - balances
        - pagination
      type: object
      properties:
        balances:
          type: array
          items:
            $ref: '#/components/schemas/coinbase.public_rest_api.EntityBalance'
        pagination:
          $ref: '#/components/schemas/coinbase.public_rest_api.PaginatedResponse'
    coinbase.public_rest_api.EntityBalance:
      type: object
      properties:
        symbol:
          type: string
          description: The display symbol for the asset
          example: BTC
        long_amount:
          type: string
          description: The long balance
          example: '109.42'
        long_notional:
          type: string
          description: The long balance in notional value
          example: '109.42'
        short_amount:
          type: string
          description: The short balance
          example: '109.42'
        short_notional:
          type: string
          description: The short balance in notional value
          example: '109.42'
    coinbase.public_rest_api.PaginatedResponse:
      required:
        - has_next
        - next_cursor
        - sort_direction
      type: object
      properties:
        next_cursor:
          type: string
          description: Cursor to navigate to next page
        sort_direction:
          $ref: '#/components/schemas/coinbase.public_rest_api.SortDirection'
        has_next:
          type: boolean
          description: >-
            A boolean value indicating whether there are more items to paginate
            through
    coinbase.public_rest_api.SortDirection:
      type: string
      default: DESC
      enum:
        - DESC
        - ASC

````